import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '图片名称',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '图片内容',
    align:"center",
    dataIndex: 'image'
   },
   {
    title: '所属分类',
    align:"center",
    dataIndex: 'type_dictText'
   },
   {
    title: '排序编号',
    align:"center",
    dataIndex: 'orderNo'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '图片名称',
    field: 'title',
    component: 'Input',
  },
  {
    label: '图片内容',
    field: 'image',
    component: 'Input',
  },
  {
    label: '所属分类',
    field: 'type',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"banner_type"
     },
  },
  {
    label: '排序编号',
    field: 'orderNo',
    component: 'InputNumber',
  },
];
