import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '抵扣金额',
    align:"center",
    dataIndex: 'discount'
   },
   {
    title: '有效期',
    align:"center",
    dataIndex: 'validDate'
   },
   {
    title: '使用状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '关联优惠券id',
    align:"center",
    dataIndex: 'couponId_dictText'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '抵扣金额',
    field: 'discount',
    component: 'InputNumber',
  },
  {
    label: '有效期',
    field: 'validDate',
    component: 'Input',
  },
  {
    label: '使用状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_coupon_status"
     },
  },
  {
    label: '关联优惠券id',
    field: 'couponId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_coupon,title,id"
     },
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
