import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '商品数量',
    align:"center",
    dataIndex: 'num'
   },
   {
    title: '商品总价',
    align:"center",
    dataIndex: 'price'
   },
   {
    title: '关联商品id',
    align:"center",
    dataIndex: 'goodsId_dictText'
   },
   {
    title: '关联团员订单id',
    align:"center",
    dataIndex: 'orderId_dictText'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '商品数量',
    field: 'num',
    component: 'InputNumber',
  },
  {
    label: '商品总价',
    field: 'price',
    component: 'InputNumber',
  },
  {
    label: '关联商品id',
    field: 'goodsId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_goods,title,id"
     },
  },
  {
    label: '关联团员订单id',
    field: 'orderId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_order_member,title,id"
     },
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
