package org.jeecg.modules.api.teambuyController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.RecommendService;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="我的-推广链接相关接口")
@RestController
@RequestMapping("/teambuy/share")
@Slf4j
public class RecommendController {

    /******************************************************************************************************************/
    //邀请好友
    @Resource
    private RecommendService recommendService;
    /******************************************************************************************************************/

    //邀请好友-获取推荐二维码
    @ApiOperation(value="我的-获取推荐二维码", notes="我的-获取推荐二维码")
    @RequestMapping(value = "/getInviteCode", method = {RequestMethod.POST})
    public Result<?> getInviteCode(@RequestHeader("X-Access-Token") String token){
        return recommendService.getInviteCode(token);
    }

//    //我的团队-查询直推用户列表
//    @ApiOperation(value="我的团队-查询直推用户列表", notes="我的-获取直推用户列表")
//    @RequestMapping(value = "/queryRecommendUserList", method = {RequestMethod.POST})
//    public Result<?> queryRecommendUserList(@RequestHeader("X-Access-Token") String token, PageBean pageBean){
//        return recommendService.queryRecommendUserList(token, pageBean);
//    }



}
