package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.teambuyBalanceLog.entity.TeambuyBalanceLog;
import org.jeecg.modules.teambuyCash.entity.TeambuyCash;
import org.jeecg.modules.teambuyTeamLeader.entity.TeambuyTeamLeader;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface AmountService {

    //充值
    public Result<?> cashIn(String token, TeambuyCash teambuyCash);

    //收支明细
    public Result<?> queryAmountLog(String token, TeambuyBalanceLog balanceLog, PageBean pageBean);

    //充值回调
    Object CashNotify(String requestBody);
}
