package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.teambuyCouponUser.entity.TeambuyCouponUser;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface CouponService {
    //查看优惠券列表
    public Result<?> queryCouponList(String token, TeambuyCouponUser teambuyCouponUser, PageBean pageBean);

    //查看可领取的优惠券
    public Result<?> queryFetchCouponList(String token);

    //领取优惠券
    public Result<?> fetchCoupon(String token, String couponId);

    //使用优惠券
    public Result<?> useCoupon(String token, String userCouponId);
}
