package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.teambuyBuycar.entity.TeambuyBuycar;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface ShopcarService {
    //查看购物车列表
    public Result<?> queryShopcarList(String token, TeambuyBuycar teambuyBuycar, PageBean pageBean);

    //添加购物车
    public Result<?> addShopcar(String token, TeambuyBuycar teambuyBuycar);

    //取消购物车
    public Result<?> deleteShopcar(String token, String shopcarId);
}
