import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '名称',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '金额',
    align:"center",
    dataIndex: 'amount'
   },
   {
    title: '收支类型',
    align:"center",
    dataIndex: 'cashType_dictText'
   },
   {
    title: '记录类型',
    align:"center",
    dataIndex: 'recordType_dictText'
   },
   {
    title: '关联用户',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '名称',
    field: 'title',
    component: 'Input',
  },
  {
    label: '金额',
    field: 'amount',
    component: 'InputNumber',
  },
  {
    label: '收支类型',
    field: 'cashType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_cash_type"
     },
  },
  {
    label: '记录类型',
    field: 'recordType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_record_type"
     },
  },
  {
    label: '关联用户',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
