import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '优惠券名称',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '优惠券类型',
    align:"center",
    dataIndex: 'type_dictText'
   },
   {
    title: '抵扣金额',
    align:"center",
    dataIndex: 'amount'
   },
   {
    title: '有效期',
    align:"center",
    dataIndex: 'validDate'
   },
   {
    title: '备注',
    align:"center",
    dataIndex: 'remark'
   },
   {
    title: '是否可领取',
    align:"center",
    dataIndex: 'isFetch'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '优惠券名称',
    field: 'title',
    component: 'Input',
  },
  {
    label: '优惠券类型',
    field: 'type',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_coupon_type"
     },
  },
  {
    label: '抵扣金额',
    field: 'amount',
    component: 'InputNumber',
  },
  {
    label: '有效期',
    field: 'validDate',
    component: 'Input',
  },
  {
    label: '备注',
    field: 'remark',
    component: 'Input',
  },
  {
    label: '是否可领取',
    field: 'isFetch',
    component: 'Input',
  },
];
