import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '图标',
    align:"center",
    dataIndex: 'icon',
    customRender:render.renderAvatar,
   },
   {
    title: '名称',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '标签',
    align:"center",
    dataIndex: 'tag'
   },
   {
    title: '价格区间',
    align:"center",
    dataIndex: 'price'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '图标',
    field: 'icon',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '标签',
    field: 'tag',
    component: 'Input',
  },
  {
    label: '价格区间',
    field: 'price',
    component: 'Input',
  },
];
