import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '团餐订单名称',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '团餐订单状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '关联团长id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
   {
    title: '订单佣金',
    align:"center",
    dataIndex: 'commission'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '团餐订单名称',
    field: 'title',
    component: 'Input',
  },
  {
    label: '团餐订单状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_status_teamorder"
     },
  },
  {
    label: '关联团长id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_team_leader,name,id"
     },
  },
  {
    label: '订单佣金',
    field: 'commission',
    component: 'InputNumber',
  },
];
