import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '现团长id',
    align:"center",
    dataIndex: 'leaderId_dictText'
   },
   {
    title: '更换团长id',
    align:"center",
    dataIndex: 'leaderUpdateId_dictText'
   },
   {
    title: '关联团员id',
    align:"center",
    dataIndex: 'memberId_dictText'
   },
   {
    title: '关联状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '现团长id',
    field: 'leaderId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_team_leader,name,id"
     },
  },
  {
    label: '更换团长id',
    field: 'leaderUpdateId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_team_leader,name,id"
     },
  },
  {
    label: '关联团员id',
    field: 'memberId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
  {
    label: '关联状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_status_relation"
     },
  },
];
