package org.jeecg.modules.api.teambuyController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.AfterService;
import org.jeecg.modules.apiService.ShopcarService;
import org.jeecg.modules.teambuyBuycar.entity.TeambuyBuycar;
import org.jeecg.modules.teambuyService.entity.TeambuyService;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="订单-售后相关接口")
@RestController
@RequestMapping("/teambuy/afterservice")
@Slf4j
public class AfterController {

    /******************************************************************************************************************/
    //购物车
    @Resource
    private AfterService afterService;
    /******************************************************************************************************************/
    //添加订单售后信息
    @ApiOperation(value="订单-订单售后", notes="购物车-订单售后")
    @RequestMapping(value = "/addAfterService", method = {RequestMethod.POST})
    public Result<?> addAfterService(@RequestHeader("X-Access-Token") String token, TeambuyService teambuyService){
        return afterService.addAfterService(token, teambuyService);
    }

}
