package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.teambuyCategory.entity.TeambuyCategory;
import org.jeecg.modules.teambuyGoods.entity.TeambuyGoods;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface GoodsService {
    //查看商品分类列表
    public Result<?> queryCategoryList(TeambuyCategory teambuyCategory, PageBean pageBean);

    //查看商品信息列表
    public Result<?> queryGoodsList(TeambuyGoods teambuyGoods, PageBean pageBean);

    //查看商品信息详情
    public Result<?> queryGoodsById(String id);
}
